<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.xq.mapper.CardAuthRecordMapper">

    <resultMap type="com.ruoyi.xq.domain.CardAuthRecord" id="CardAuthRecordResult">
        <result property="id" column="id"/>
        <result property="userId" column="user_id"/>
        <result property="usercode" column="usercode"/>
        <result property="bizToken" column="biz_token"/>
        <result property="idCard" column="id_card"/>
        <result property="name" column="name"/>
        <result property="nation" column="nation"/>
        <result property="livenessVideo" column="liveness_video"/>
        <result property="cardFront" column="card_front"/>
        <result property="cardBack" column="card_back"/>
        <result property="tokenStatus" column="token_status"/>
        <result property="createTime" column="create_time"/>
        <result property="updateTime" column="update_time"/>
    </resultMap>
    <select id="pageAdmin" resultType="com.ruoyi.xq.dto.admin.authRecord.CardAuthRecordAdminVo">
        select t1.*, t2.nickname,t2.mobile,t2.avatar
        from xq_card_auth_record t1
        left join xq_user t2 on t1.user_id = t2.id
        <where>
            <if test="bo.usercode != null and bo.usercode != ''">
                and t1.usercode = #{bo.usercode}
            </if>
            <if test="bo.nickname != null and bo.nickname != ''">
                and t2.nickname like concat('%',#{bo.nickname},'%')
            </if>
            <if test="bo.mobile != null and bo.mobile != ''">
                and t2.mobile = #{bo.mobile}
            </if>
            <if test="bo.tokenStatus != null">
                and t1.token_status = #{bo.tokenStatus}
            </if>
            <if test="bo.orderNo != null and bo.orderNo != ''">
                and t1.order_no = #{bo.orderNo}
            </if>
            <if test="bo.bizToken != null and bo.bizToken != ''">
                and t1.biz_token = #{bo.bizToken}
            </if>
        </where>
        order by t1.create_time desc
    </select>


</mapper>
